FC2ブログ

下流ネットワークエンジニアの生活

上流工程を夢見る下流工程のネットワークエンジニアがネットワーク技術や資格、身の回りのことを情報発信! Juniper Cisco YAMAHA DELL D-Link AlaxalA F5 CCNA CCNP CCIE ネットワークスペシャリスト

WordPressのコメントスパム対策 画像認証プラグイン "SI CAPTCHA Anti-Spam" をインストールしてみたらエラー

2014.04.04 (Fri)
コメント欄へのスパムの書き込みが多くなり
対応策を調べていたところ、
プラグインで画像認証を追加できるものがあった。


プラグイン名:SI CAPTCHA Anti-Spam







ダッシュボード→プラグイン→新規追加の検索フォームで
上記プラグイン名で検索してみるとヒットします。

インストール完了後、動作確認してみると、
画像認証が出てこない。。。

設定を確認したところ、
ログインしているユーザーには認証しなくても良い設定になっていたので、
一旦ログアウトして再度コメント欄を確認。

そうすると、以下のエラーが出てしまい、正常に常時ができない。。。

エラー: si-captcha.phpプラグインによると、PHPにGD image supportが見当たりません!
PHPにGD image supportが有効になっていない理由については、サーバ管理者にお問合せください。
エラー: si-captcha.phpプラグインによると、PHPにimagepng機能が見当たりません!
PHPにimagepng機能が有効になっていない理由については、サーバ管理者にお問合せください。


グーグル先生に聞いてみたたところ、
PHP の画像処理ライブラリが入っていなかったみたいで、インストールしてみた。





インストール

[user@CentOS ~]$ su
[root@CentOS user]# yum install php-gd


それでhttpd(apache)を再起動する。

[root@CentOS user]# /etc/init.d/httpd restart
httpd を停止中: [ OK ]
httpd を起動中: [ OK ]
[root@CentOS user]#

以上で正常に表示できた。


関連記事
スポンサーサイト



コメント


管理者のみに表示

トラックバック